Subject: Re: [PATCH v6] gnu: python-sphinx: Update to 1.4.8.

From: Leo Famulari <[email-masked]>
Date: Fri, 13 Jan 2017 10:24:00 -0500

On Fri, Jan 13, 2017 at 01:34:21PM +0100, Marius Bakke wrote:
> Leo: I'm unable to reproduce the Hydra failures, so I decided to merge
> master so we can restart this branch. However, Savannah refuses the push
> for no good reason!
> 
> $ git reset --hard savannah/python-tests
> $ git merge master
> $ <fix two conflicts>
> $ git push -v savannah python-tests
> Pushing to [email-masked]:/srv/git/guix.git
> error: failed to push some refs to [email-masked]:/srv/git/guix.git'

I bet that you are using the new pre-push hook that verifies commit
signatures, and you're trying to push some commits that fail the
signature verification check.

Someone should add some error reporting to the hook.

> Any ideas? The merged branch is 687 commits ahead.
> 
> You can try the merge yourself, the local.mk conflict is easy and in
> bioinformatics.scm you want to keep [arguments] and not [native-inputs].

Done with the hook disabled.

> I suppose we could rebase it and force-push, but it seems heavy-handed.

IMO we should avoid it when possible; rebasing loses the original
signatures.